Bug 495139 - Anaconda traceback when installing with another LVM already existing
Anaconda traceback when installing with another LVM already existing
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: 505404 (view as bug list)
Depends On:
Blocks: 495141
  Show dependency treegraph
Reported: 2009-04-09 17:36 EDT by Andreas Thienemann
Modified: 2009-08-17 14:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-08-17 14:03:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Attached traceback automatically from anaconda. (225.56 KB, text/plain)
2009-04-09 17:37 EDT, Andreas Thienemann
no flags Details
parted output (36 bytes, text/plain)
2009-04-09 17:40 EDT, Andreas Thienemann
no flags Details
vgdisplay output after anaconda crash (39 bytes, text/plain)
2009-04-09 17:41 EDT, Andreas Thienemann
no flags Details

  None (edit)
Description Andreas Thienemann 2009-04-09 17:36:58 EDT
The following was filed automatically by anaconda:
anaconda exception report
Traceback (most recent call first):
  File "/tmp/updates/storage/devicetree.py", line 1583, in devices
    raise DeviceTreeError("duplicate paths in device tree")
  File "/tmp/updates/storage/__init__.py", line 279, in devices
    devices = self.devicetree.devices.values()
  File "/tmp/updates/platform.py", line 59, in _mntDict
    for device in [d for d in self.anaconda.id.storage.devices if d.format.mountable]:
  File "/tmp/updates/platform.py", line 69, in bootDevice
    mntDict = self._mntDict()
  File "/tmp/updates/platform.py", line 382, in bootDevice
    return Platform.bootDevice(self)
  File "/tmp/updates/storage/__init__.py", line 214, in doIt
    boot = self.anaconda.platform.bootDevice()
  File "/tmp/updates/packages.py", line 115, in turnOnFilesystems
  File "/tmp/updates/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/tmp/updates/dispatch.py", line 128, in gotoNext
  File "/tmp/updates/gui.py", line 1323, in nextClicked
DeviceTreeError: duplicate paths in device tree
Comment 1 Andreas Thienemann 2009-04-09 17:37:13 EDT
Created attachment 339001 [details]
Attached traceback automatically from anaconda.
Comment 2 Andreas Thienemann 2009-04-09 17:40:44 EDT
Created attachment 339002 [details]
parted output
Comment 3 Andreas Thienemann 2009-04-09 17:41:55 EDT
Created attachment 339003 [details]
vgdisplay output after anaconda crash
Comment 4 Andreas Thienemann 2009-04-09 17:53:00 EDT
Planned partition layout:

sda1 ext3 /boot partition to be used for the rawhide installation (existing)
sda2 ntfs partition, should be left alone (existing)
sda3 ext3 /boot1 partition for a fc4 installation, should be chainloaded by the grub installed in sda (existing)
sda4 extended partition (existing)
sda5 lvm for a fc4 installation (existing)
sda6 encrypted lvm for the rawhide installation (newly created in the free space by anaconda)

Steps to reproduce:
1. Netboot anaconda
2. Select defaults leading up to the partitioning screen
3. Select Custom Layout
4. Click Next.
5. Select /dev/sda1 to be reformatted as ext3 and mounted as /boot
6. Create a new LVM partition, 17408MB large, select encrypted
7. Click LVM to edit this LVM partition named vg_workstation
8. ??? Wonder about the "Physical Volumes to Use:" list which contains luks-3 and luks-4 ???
9. Create lv root with 16384MB
10. Create lv swap with 1020MB
11. Click Next.
12. Crash.
Comment 5 Chris Lumens 2009-04-15 16:00:43 EDT
Did you happen to go back and forth from the custom partitioning screen to that initial "Use free space/Replace existing system/Etc." screen as part of your work?
Comment 6 Bill Nottingham 2009-05-28 22:49:40 EDT
Does this persist with the current RC images?
Comment 7 Bug Zapper 2009-06-09 09:34:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 8 Chris Lumens 2009-06-11 16:26:19 EDT
*** Bug 505404 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.